package TestingSystem.DVM.DVMTasks;
import Common.Database.DBObject;
import TestingSystem.Common.Group.Group;
import TestingSystem.Common.Test.Test;
import TestingSystem.DVM.Configuration.Configuration;
import TestingSystem.DVM.DVMPackage.DVMPackage;
import TestingSystem.DVM.DVMPackage.DVMPackage_json;
import com.google.gson.annotations.Expose;

import java.util.List;
import java.util.Vector;
public class DVMCompilationTask extends DVMTask {
    @Expose
    public List<DVMRunTask> runTasks = new Vector<>();
    //-
    public DVMCompilationTask(Configuration configuration,
                              Group group,
                              Test test,
                              String flags_in
                              ) {
        super(configuration, group, test, flags_in);
        maxtime = configuration.c_maxtime;
    }
    @Override
    public Vector<String> pack(Object arg) {
        Vector<String> res = new Vector<>();
        res.add(String.valueOf(id)); //1
        res.add(String.valueOf(maxtime)); //2
        res.add(String.valueOf(test_id)); //3
        res.add(arg.toString().replace("\n", "|")); //4
        //игнор аргумента. ядро всегда одно.
        return res;
    }
}
